Package org.apache.catalina.tribes

## Class RemoteProcessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.catalina.tribes.RemoteProcessException

All Implemented Interfaces:
  `java.io.Serializable`

    public class RemoteProcessException
    extends java.lang.RuntimeException

Message thrown by a sender when USE_SYNC_ACK receives a FAIL_ACK_COMMAND.
This means that the message was received on the remote node but the processing of the message failed. This message will be embedded in a ChannelException.FaultyMember

See Also:
  `ChannelException`, Serialized Form

### Constructor Summary

Constructors
`RemoteProcessException()`
`RemoteProcessException​(java.lang.String message)`
`RemoteProcessException​(java.lang.String message, java.lang.Throwable cause)`
`RemoteProcessException​(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RemoteProcessException

    public RemoteProcessException()

#### RemoteProcessException

    public RemoteProcessException​(java.lang.String message)

#### RemoteProcessException

    public RemoteProcessException​(java.lang.String message,
                                  java.lang.Throwable cause)

#### RemoteProcessException

    public RemoteProcessException​(java.lang.Throwable cause)